Bug 11872 - xscreensaver.kss ignores -lock option
Summary: xscreensaver.kss ignores -lock option
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-02 22:20 UTC by Aleksey Nogin
Modified: 2014-03-17 02:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-02 22:20:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2000-06-02 22:20:02 UTC
In xscreensaver-3.23-2 package, xscreensaver.kss contains the following
code:

    -lock)
      if [ ! -f "/etc/shadow" ]; then
        lockmode="-lock-mode"
      fi

which causes xscreensaver to ignore the -lock option when shadow passwords
are used. This is totally unnecessary and stupid - xscreensaver is properly
pam'ified and would work correct with in -lock-mode even if shadow
passwords are used. If the code above is replaced with 

    -lock)
        lockmode="-lock-mode"

everything works fine.

I selected "Severity: security" because this bug causes xscreensaver to
ignore users' requests to lock the terminal.

Comment 1 Bill Nottingham 2000-06-11 19:01:17 UTC
Thanks for the fix - should be in xscreensaver-3.24-7.


Note You need to log in before you can comment on or make changes to this bug.